classification
Title: python msilib view.fetch is not returning none
Type: behavior Stage: resolved
Components: Windows Versions: Python 3.6
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Add support for _msi.Record.GetString() and _msi.Record.GetInteger()
View: 1102
Assigned To: Nosy List: berker.peksag, paul.moore, steve.dower, tim.golden, uday kiran, zach.ware
Priority: normal Keywords:

Created on 2017-11-17 20:37 by uday kiran, last changed 2017-11-19 06:51 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
MSIFileRead.py uday kiran, 2017-11-17 20:37 source code where the bug is pointed
Messages (4)
msg306456 - (view) Author: uday kiran (uday kiran) * Date: 2017-11-17 20:37
Please see my script attached.

Once the records are completed, the View.Fetch() function should give a none value but intsead giving runtime error: _msi.MSIError: unknown error 103

It is already mentioned in the bugs.
https://bugs.python.org/issue29364
https://bugs.python.org/issue1102

The comments mentioned as it will be fixed in the coming release.
But it is a long back comment,but still not fixed.

Any update on this?
msg306457 - (view) Author: uday kiran (uday kiran) * Date: 2017-11-17 21:14
It seems you have added some patches as .c files, but how do we apply those on windows machines?
No documentation related to it.

https://bugs.python.org/file24795/_msi_fetch.patch.txt
https://bugs.python.org/file11840/_msi.patch.txt

Could you please help me how to apply these patches on windows environment.
msg306468 - (view) Author: uday kiran (uday kiran) * Date: 2017-11-18 04:24
I tried adding the bugs to the python source code and compile it by using the steps in https://docs.python.org/devguide/ and the fix in https://bugs.python.org/file24795/_msi_fetch.patch.txt, but ended up with many compilation errors
msg306497 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-11-19 06:51
Issue 1102 is still open so this bug is not fixed yet. I've just opened PR 4459 to fix it.
History
Date User Action Args
2017-11-19 06:51:49berker.peksagsetstatus: open -> closed

superseder: Add support for _msi.Record.GetString() and _msi.Record.GetInteger()
nosy: + berker.peksag

messages: + msg306497
type: crash -> behavior
resolution: duplicate
stage: resolved
2017-11-18 04:24:55uday kiransetmessages: + msg306468
2017-11-17 21:14:22uday kiransetmessages: + msg306457
2017-11-17 20:37:30uday kirancreate